%define	fontname	kacst
%define _fontdir	%_datadir/fonts/%{fontname}

Name:		%{fontname}-fonts
Version:	1.6.2
Release:	1
Summary:	Fonts for arabic from arabeyes project.
License:	GPLv2
Group:		Fonts
URL:		http://www.arabeyes.org/resources.php
Source:		http://downloads.sourceforge.net/sourceforge/arabeyes/%{fontname}_fonts_%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	dos2unix
BuildArch:	noarch
 
%description
This package contains fonts for the display of Arabic 
from the King Abdulaziz City for Science & Technology(kacst).

%prep
%setup -q -n KacstArabicFonts-%{version}
find . -not -name \*.ttf -type f -exec dos2unix -k {} \;

%build

%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%_fontdir
install -m 0644 *.ttf $RPM_BUILD_ROOT%_fontdir

%clean
rm -rf $RPM_BUILD_ROOT 

%post
if [ -x %_bindir/fc-cache ]; then
  %_bindir/fc-cache %_fontdir 
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %_bindir/fc-cache ]; then
    %_bindir/fc-cache %_fontdir
  fi
fi

%files
%defattr(-,root,root,-)
%doc *.TXT
%_fontdir/*.ttf

%changelog
* Mon Mar 10 2008 Christian Wasem <wasem@ccux-linux.de> - 1.6.2-1
- initalbuild